VG_ARC(3)

NAME
VG_Arc - agar-vg arc entity

SYNOPSIS

    #include <agar/core.h>
    #include <agar/gui.h>
    #include <agar/vg.h>

DESCRIPTION
VG_Arc is a VG(3) node class which describes an arc in terms of a centerpoint, radius and and two angles.

INTERFACE
VG_Arc * VG_ArcNew(VG_Node *parent, VG_Point *centerPoint, float r, float a1, float a2)

void VG_ArcCenter(VG_Arc *va, VG_Point *centerPoint)

void VG_ArcRadius(VG_Arc *va, float r)

void VG_ArcAngles(VG_Arc *va, float a1, float a2)

The VG_ArcNew() function creates a new arc entity attached to parent. centerPoint is a VG_Point(3) defining the center of the arc and r is the radius. The starting and ending angles are specified by a1 and a2, in radians.

The VG_ArcCenter() routine changes the centerpoint of an existing VG_Arc. VG_ArcRadius() changes the radius. VG_ArcAngles() changes the angles.

SEE ALSO
VG(3), VG_Circle(3), VG_Point(3)

HISTORY
The VG_Arc class first appeared in Agar 1.3.3.